githubEdit

βš™οΈExternal API (Gitbook)

The base URL of the external API of Aktionariat is: https://ext.aktionariat.com/arrow-up-right

At the moment the following three endpoints are available:

  • /token - for token details

  • /price - for the current price

  • /prices - for historical prices

In the following you see the API specification of the different calls you can make.

Download OpenAPI specification:

file-download
7KB

Getting all tokens from Aktionariat

Get all tokens

get

Get all tokens that are registered in the Aktionariat back-end.

Responses
chevron-right
200

Successful operation

tickerstringOptional

Ticker of the Shares

Example: DAKS
namestringOptional

Name of the Shares

Example: Draggable Aktionariart AG Shares
descriptionstringOptionalExample: Aktionariat is a tokenization platform.
chainstringOptional

the blockchain the token resides on

Example: mainnet
registerstringOptional

the contract address of the token

Example: 0x6f38e0f1a73c96cb3f42598613ea3474f09cb200
marketstringOptional

The link to the investor page

Example: https://investors.aktionariat.com
creationintegerOptional

Creation timestamp

currencystringOptional

The base currency

Example: CHF
statusstringOptional

Traded Status

Example: TRADED
tokenTypestringOptional

Type of token

Example: EQUITY
urlstringOptional

The link to the investor page

Example: https://investors.aktionariat.com
totalSupplyintegerOptionalExample: 1330000
marketCapintegerOptional

Market Cap in base currency

Example: 18535743
get
/tokens/

Getting token details for a specific ticker

Get token details

get

Get tokens details for the ticker in the query.

Query parameters
tickerstringRequired

The ticker of the share token (Uppercase)

Example: DAKS
Responses
chevron-right
200

Successful operation

tickerstringOptional

Ticker of the Shares

Example: DAKS
namestringOptional

Name of the Shares

Example: Draggable Aktionariart AG Shares
descriptionstringOptionalExample: Aktionariat is a tokenization platform.
chainstringOptional

the blockchain the token resides on

Example: mainnet
registerstringOptional

the contract address of the token

Example: 0x6f38e0f1a73c96cb3f42598613ea3474f09cb200
marketstringOptional

The link to the investor page

Example: https://investors.aktionariat.com
creationintegerOptional

Creation timestamp

currencystringOptional

The base currency

Example: CHF
statusstringOptional

Traded Status

Example: TRADED
tokenTypestringOptional

Type of token

Example: EQUITY
urlstringOptional

The link to the investor page

Example: https://investors.aktionariat.com
totalSupplyintegerOptionalExample: 1330000
marketCapintegerOptional

Market Cap in base currency

Example: 18535743
get
/tokens

Get current price of a token

Get current price

get

Get current price with the according currency for a token.

Query parameters
tickerstringRequired

The ticker of the share token (Uppercase)

Example: DAKS
Responses
chevron-right
200

Successful operation

pricenumberOptional

Price of the share

Example: 13.432
basestringOptional

base currency

Example: CHF
get
/price

Get price history of a token

Get historical prices

get

Get historical price points for a token.

Query parameters
tickerstringRequired

The ticker of the share token (Uppercase)

Example: DAKS
Responses
chevron-right
200

Successful operation

tickerstringOptional

ticker of the share

Example: DAKS
monthlyDriftnumberOptional

Monthly change

Example: 0
currencystringOptional

Currency of the price

Example: CHF
get
/prices

Last updated